import java.awt.*;
import java.awt.event.*;
import java.io.*;
import javax.swing.*;
import java.util.*;
import java.lang.*;
import java.lang.Thread.*;



// Class UserInterface 
class UserInterface extends JPanel {
    private final Server sserve;
    private final Table table;

    private final JRootPane rPane;
    private static final int externalBorder = 6;
    private static final int running = 1;
    
    public UserInterface(RootPaneContainer pane, Server nServer, Table nTable, boolean isApplet) {
        final UserInterface u = this;
        sserve = nServer;
        table = nTable;

        final JPanel b = new JPanel();  
        final JButton runButton = new JButton("Run");
        
        runButton.addActionListener(new ActionListener() 
        {
            public void actionPerformed(ActionEvent e) {
                sserve.resume();
            }
        });
        
        b.setLayout(new FlowLayout());
        b.add(runButton);
        
        setLayout(new BoxLayout(this, BoxLayout.Y_AXIS));
        setBorder(BorderFactory.createEmptyBorder(
            externalBorder, externalBorder, externalBorder, externalBorder));
        add(table);
        add(b);
        
        pane.getContentPane().add(this);
        rPane = getRootPane();
        rPane.setDefaultButton(runButton);
    }
}